Summary:	pgaudit13 - an auditing extension for PostgreSQL 13 
Name:		pgaudit13
Version:	%{pgaudit13_specfile_version}
Release:	%{pgaudit13_specfile_release}%{?dist}
Provides:	pgaudit13 = %{version}-%{release}
URL:            http://pgaudit.org/
License:	PostgreSQL
Group:		Applications/Database
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	postgresql%{pgmajorversion}
Source:		pgaudit13.tar.gz
Packager:	Crunchy Packaging Team <packagers@crunchydata.com>

%description
PostgreSQL is an advanced Object-Relational database management
system. The pgaudit package includes the .jar files that provide an
auditing extension for Postgres to generate log output suitable for
compiling a comprehensive audit trail of database operations.

%prep
# Copies sources and patches to BUILD
echo "=========="
echo "PREP PHASE"
echo "=========="
%setup -n pgaudit

%build
echo "==========="
echo "BUILD PHASE"
echo "==========="
export PATH=$PATH:%{pginstdir}/bin && %{__make} USE_PGXS=1
# The end result is /opt/git/crunchy-builder/projects/rpm/pg13/pgaudit13/BUILD/pgaudit/pgaudit.so

%install
echo "============="
echo "INSTALL PHASE"
echo "============="
# All items here happen inside of the directory "BUILD/pgaudit"
%{__install} -d ${RPM_BUILD_ROOT}%{pginstdir}/lib/
%{__install} -m 755 pgaudit.so ${RPM_BUILD_ROOT}%{pginstdir}/lib
%{__install} -d ${RPM_BUILD_ROOT}%{pginstdir}/share/extension
%{__install} -m 644 pgaudit.control \
                    pgaudit--1.5.sql \
                    ${RPM_BUILD_ROOT}%{pginstdir}/share/extension
# END RESULT
#%{pginstdir}/share/extension/pgaudit--1.5.sql
#%{pginstdir}/share/extension/pgaudit.control
#%{pginstdir}/lib/pgaudit.so

%clean
echo "==========="
echo "CLEAN PHASE"
echo "==========="
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{pginstdir}/lib/pgaudit.so
%{pginstdir}/share/extension/pgaudit--1.5.sql
%{pginstdir}/share/extension/pgaudit.control
%license LICENSE
%doc README.md

%changelog
* Mon Aug 31 2020 Maggie Silver <maggie.silver@crunchydata.com>
  - Support for pgaudit 1.5beta1
  - Remove support for EL6
* Tue Aug 13 2019 Joe Ayers <joseph.ayers@crunchydata.com>
  - Support for pgaudit 1.4beta1
* Thu May 23 2019 Tyler Drinkard <tyler.drinkard@crunchydata.com>
  - Support for pgaudit 1.3.1
* Thu Aug 16 2018 John Harvey <john.harvey@crunchydata.com>
  - Support for pgaudit 1.3
* Thu Jun 29 2017 John Harvey <john.harvey@crunchydata.com>
  - Support for pgaudit 1.2
* Tue Aug 23 2016 John Harvey <john.harvey@crunchydata.com>
 - PG10 version; using PGXS to cleanup specfile
* Mon Aug 31 2015 John Harvey <john.harvey@crunchydata.com>
 - Initial version of specfile.
